Simulate stablecoin withdrawal record
curl --request POST \
--url https://api.stabyl.com/v1/simulate/crypto/withdrawals \
--header 'Content-Type: application/json' \
--data '
{
"amount": "2.5",
"currency": "USDT",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.stabyl.com/v1/simulate/crypto/withdrawals"
payload = {
"amount": "2.5",
"currency": "USDT",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
amount: '2.5',
currency: 'USDT',
user_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.stabyl.com/v1/simulate/crypto/withdrawals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "0197f1f0-0000-7000-8000-000000000012",
"reference": "sim:usd:wd:0197f1f0",
"status": "reserved"
},
"status": "success"
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "invalid request parameters"
},
"status": "error"
}{
"error": {
"code": "FORBIDDEN",
"message": "request is not allowed"
},
"status": "error"
}{
"error": {
"code": "NOT_FOUND",
"message": "resource not found"
},
"status": "error"
}Simulation
Simulate stablecoin withdrawal record
Creates a non-production stablecoin withdrawal record for timeline and reconciliation testing. This endpoint is disabled in production and cannot move real funds.
POST
/
simulate
/
crypto
/
withdrawals
Simulate stablecoin withdrawal record
Body
application/json
Non-production stablecoin withdrawal record to create for integration testing.
Was this page helpful?
⌘I